/* $Id: GSTreeTextEditortPaneManagerContainer.java 623 2013-01-10 12:40:07Z ohura $ */
package smart_gs.smleditor.swingui;

public class GSTreeTextEditortPaneManagerContainer {
	protected String key;
	protected String windowid;
	protected GSTreeTextEditor gsTreeTextEditor;
	
	public GSTreeTextEditortPaneManagerContainer(String key,String windowid,GSTreeTextEditor gsTreeTextEditor){
		this.key = key;
		this.windowid = windowid;
		this.gsTreeTextEditor = gsTreeTextEditor;
	}
	
	public GSTreeTextEditor getGsTreeTextEditor() {
		return gsTreeTextEditor;
	}
	public void setGsTreeTextEditor(GSTreeTextEditor gsTreeTextEditor) {
		this.gsTreeTextEditor = gsTreeTextEditor;
	}
	public String getKey() {
		return key;
	}
	public void setKey(String key) {
		this.key = key;
	}
	public String getWindowid() {
		return windowid;
	}
	public void setWindowid(String windowid) {
		this.windowid = windowid;
	}
	
}
